0
> npm install -D load-grunt-config
npm WARN deprecated [email protected]: CoffeeScript on NPM has moved to "coffeescript" (no hyphen)
npm ERR! Linux 4.15.0-52-generic
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "-D" "load-grunt-config"
npm ERR! node v8.10.0
npm ERR! npm  v3.5.2
npm ERR! code EMISSINGARG

npm ERR! typeerror Error: Missing required argument #1
npm ERR! typeerror     at andLogAndFinish (/usr/share/npm/lib/fetch-package-metadata.js:31:3)
npm ERR! typeerror     at fetchPackageMetadata (/usr/share/npm/lib/fetch-package-metadata.js:51:22)
npm ERR! typeerror     at resolveWithNewModule (/usr/share/npm/lib/install/deps.js:456:12)
npm ERR! typeerror     at /usr/share/npm/lib/install/deps.js:457:7
npm ERR! typeerror     at /usr/share/npm/node_modules/iferr/index.js:13:50
npm ERR! typeerror     at /usr/share/npm/lib/fetch-package-metadata.js:37:12
npm ERR! typeerror     at addRequestedAndFinish (/usr/share/npm/lib/fetch-package-metadata.js:82:5)
npm ERR! typeerror     at returnAndAddMetadata (/usr/share/npm/lib/fetch-package-metadata.js:117:7)
npm ERR! typeerror     at pickVersionFromRegistryDocument (/usr/share/npm/lib/fetch-package-metadata.js:134:20)
npm ERR! typeerror     at /usr/share/npm/node_modules/iferr/index.js:13:50
npm ERR! typeerror This is an error with npm itself. Please report this error at:
npm ERR! typeerror     <http://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /var/www/html/hosemart-web/npm-debug.log

1 Answer 1

0

Without knowing more about your actual context, I think it's not finding the package.json file. Make sure you have the following files in your Magento root:

  1. package.json
  2. Gruntfile.js
  3. grunt-config.json

There are "sample" files usually included in the Magento root by default that can be copied/renamed in most cases.

If this doesn't help you may have grunt mis-installed or mid-configured.

3
  • I have all the 3 files in root & I also removed sample. I had same error for time-grunt, but it got resolved by sudo npm install --save-dev time-grunt but when I try same for load-grunt-config it doesn't work
    – Arjun
    Commented Apr 9, 2020 at 16:31
  • How do you mean, npm install --save-dev load-grunt-config does not work? What do you see in terms of error messages, etc? Did you run npm install or npm install load-grunt-config?
    – gnicko
    Commented Apr 9, 2020 at 17:16
  • when I run npm install load-grunt-confi I get the error in my question
    – Arjun
    Commented Apr 9, 2020 at 17:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.